Estimate block dig time
AuthorizationBearer <token>
Preferred API authentication. Use a JWT with the api audience.
In: header
Path Parameters
instance_id*string
Format
uuidbot_id*string
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
position*
A block position in a specific dimension. Coordinates are Minecraft block integers, not chunk-relative.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/instances/497f6eca-6276-4993-bfeb-53cbbbba6f08/bots/497f6eca-6276-4993-bfeb-53cbbbba6f08/world/block:estimateDigTime" \ -H "Content-Type: application/json" \ -d '{ "position": { "x": 0, "y": 0, "z": 0 } }'{ "diggable": true, "instant": true, "ticks": 0, "durationMs": "string", "progressPerTick": 0.1, "correctToolForDrops": true, "block": { "position": { "x": 0, "y": 0, "z": 0, "dimension": "string" }, "blockId": "string", "properties": { "property1": "string", "property2": "string" }, "blockEntity": {}, "biomeId": "string", "skyLight": 0, "blockLight": 0, "hardness": 0.1, "diggable": true, "replaceable": true, "solid": true, "interactive": true, "effectiveToolTags": [ "string" ], "fluid": { "fluidId": "string", "source": true, "height": 0.1 }, "collisionShape": { "boxes": [ { "minimum": { "x": 0.1, "y": 0.1, "z": 0.1 }, "maximum": { "x": 0.1, "y": 0.1, "z": 0.1 } } ] }, "interactionShape": { "boxes": [ { "minimum": { "x": 0.1, "y": 0.1, "z": 0.1 }, "maximum": { "x": 0.1, "y": 0.1, "z": 0.1 } } ] }, "chunkRevision": "string" }}How is this page?
